package com.ruoyi.system.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 积分订单对象 integral_order
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class IntegralOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 用户 */
    @Excel(name = "用户")
    private Long uid;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 电话 */
    @Excel(name = "电话")
    private String userPhone;

    /** 地址 */
    @Excel(name = "地址")
    private String userAddress;

    /** 商品 */
    @Excel(name = "商品")
    private Long productId;

    /** 规格 */
    @Excel(name = "规格")
    private String sku;

    /** 数量 */
    @Excel(name = "数量")
    private Long num;

    /** 单价 */
    @Excel(name = "单价")
    private Long price;

    /** 总积分 */
    @Excel(name = "总积分")
    private Long totalPrice;

    /** 1：待发货 2：待收货 3：已完成 */
    @Excel(name = "1：待发货 2：待收货 3：已完成")
    private String status;

    /** 快递 */
    @Excel(name = "快递")
    private Long deliveryId;

    /** 单号 */
    @Excel(name = "单号")
    private String deliveryNum;

    /** 备注 */
    @Excel(name = "备注")
    private String mark;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }

    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }

    public void setUserPhone(String userPhone) 
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone() 
    {
        return userPhone;
    }

    public void setUserAddress(String userAddress) 
    {
        this.userAddress = userAddress;
    }

    public String getUserAddress() 
    {
        return userAddress;
    }

    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }

    public void setSku(String sku) 
    {
        this.sku = sku;
    }

    public String getSku() 
    {
        return sku;
    }

    public void setNum(Long num) 
    {
        this.num = num;
    }

    public Long getNum() 
    {
        return num;
    }

    public void setPrice(Long price) 
    {
        this.price = price;
    }

    public Long getPrice() 
    {
        return price;
    }

    public void setTotalPrice(Long totalPrice) 
    {
        this.totalPrice = totalPrice;
    }

    public Long getTotalPrice() 
    {
        return totalPrice;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setDeliveryId(Long deliveryId) 
    {
        this.deliveryId = deliveryId;
    }

    public Long getDeliveryId() 
    {
        return deliveryId;
    }

    public void setDeliveryNum(String deliveryNum) 
    {
        this.deliveryNum = deliveryNum;
    }

    public String getDeliveryNum() 
    {
        return deliveryNum;
    }

    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("uid", getUid())
            .append("userName", getUserName())
            .append("userPhone", getUserPhone())
            .append("userAddress", getUserAddress())
            .append("productId", getProductId())
            .append("sku", getSku())
            .append("num", getNum())
            .append("price", getPrice())
            .append("totalPrice", getTotalPrice())
            .append("status", getStatus())
            .append("deliveryId", getDeliveryId())
            .append("deliveryNum", getDeliveryNum())
            .append("mark", getMark())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
